Cannot make outgoing calls, "address family not supported by protocol"

Bug #605358 reported by Dave Walker on 2010-07-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Asterisk
Unknown
Unknown
asterisk (Ubuntu)
Medium
Dave Walker
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: asterisk

After a short amount of time, outgoing calls fail if the SIP provider has multiple A|SRV records. >>>> https://bit.ly/2BtN52W

[Jul 14 11:43:13] WARNING[25721]: chan_sip.c:3581 __sip_xmit: sip_xmit of 0xb9bdbd98 (len 536) to X.X.X.X:5060 returned -1: Address family not supported by protocol

This issue has been resolved upstream.

Related branches

Dave Walker (davewalker) on 2010-07-14
Changed in asterisk (Ubuntu):
assignee: nobody → Dave Walker (davewalker)
importance: Undecided → Medium
status: New → In Progress
status: In Progress → Confirmed
Dave Walker (davewalker) wrote :

SRU:-
 IMPACT: New users or users upgrading to Lucid, who use a provider that has multiple A/SRV records, after a short amount of time will not be able to make outgoing calls.
 FIX: Patch derived from upstream asterisk addresses this issue with better dnsmgr handling
 TEST CASE: Install asterisk, set up a peer using multiple A or SRV records, observe:
   "[Jul 14 12:07:57] WARNING[25721]: chan_sip.c:3581 __sip_xmit: sip_xmit of 0xb9bdb680 (len 536) to X.X.X.X:5060 returned -1: Address family not supported by protocol", and therefore outgoing calls fail.

Thierry Carrez (ttx) wrote :

Uploaded to -proposed

Accepted asterisk into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in asterisk (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Is this fixed in maverick's 1:1.6.2.7-1ubuntu1? If so, please close the task. If not, please upload the fix there, too.

Jean-Baptiste Lallement (jibel) wrote :

Could someone affected by this issue in lucid test the package in lucid-proposed and report if it fixes it ?
Dave, could you please reply to Martin's question in comment #4 ?

Thanks in advance.

Martin Pitt (pitti) wrote :

Any testers?

Dave Walker (davewalker) wrote :

Apologies for the awful delay with updating on this... I didn't realise this was still blocked on me.

The Lucid Proposed package does fix this issue, and has been in production here for quite a while.

Regarding confirmation with Maverick, this is probably best determined with grepping the source code... which is now on my soon to-do list.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asterisk - 1:1.6.2.5-0ubuntu1.1

---------------
asterisk (1:1.6.2.5-0ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/dnsmgr-A-SRV-handling: Resolve handling of A and SRV
    record changes and problem with multiple A/SRV records returned.
    Patch based on Asterisk project's upstream patch. (LP: #605358)
 -- Dave Walker (Daviey) <email address hidden> Wed, 14 Jul 2010 11:40:55 +0100

Changed in asterisk (Ubuntu Lucid):
status: Fix Committed → Fix Released
Dave Walker (davewalker) on 2011-07-14
Changed in asterisk (Ubuntu):
status: Confirmed → Fix Released
tranadols (tramadols) on 2019-02-13
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.